Support Forum

Please note that this forum is only available to you in read only mode. In order to contribute to this conversation you will need to renew your subscription.

Joomla 3.7.4 Problems

zentoolsIf you use Zentools please post a review at the Joomla! Extensions Directory.

Dear support,

I had this website on an old ascent template that was running well in Joomla 3.6.5. Then I updated to 3.7.4 and now the Zen modules don't work anymore. The Zen Panel is not opening when clicking on the "contact us" button on the startpage, and the JB Maps2 module in "about us /office location" shows no map, only white. (I entered the API key, still).

There is also a problem with language switcher, but I am not sure if that is your templates fault. The whole problem seems to be linked to jquery. (I get "jQuery(...).zentoggle is not a function" and "ReferenceError: jQuery is not defined" errors.)

This is the site working well in 3.6.5:
www.mundan.net/

This is the same site not working well in 3.7.4. on a testserver:
www.mundan.ws3.pph-server.de/de/

Let me know how I can pm you the login to the testserver if you want to take a look.

Thanks and regards,
JS
  • wabikan's Avatar
  • wabikan
  • 3 Month Basic
  • 18 posts
  • Karma: 0
Last Edit: 2 years 1 month ago by wabikan.
The administrator has disabled public write access.
Hi JS,

Is this Ascent and zengridframework3 ?

Cheers
Paul
  • manh's Avatar
  • manh
  • Moderator
  • 45248 posts
  • 2106 Thanks
  • Karma: 603
The administrator has disabled public write access.
Have you also updated zentools and maps2 to their latest versions?

Cheers
  • manh's Avatar
  • manh
  • Moderator
  • 45248 posts
  • 2106 Thanks
  • Karma: 603
The administrator has disabled public write access.
Check the version of php - recommended version is 7; I have found that updating from earlier versions has fixed such issues.

Also, check to see if the database needs to be 'fixed' (Extensions > Manage > Database) or using Akeeba admin tools (free version)
  • blueshift's Avatar
  • blueshift
  • 6 Month Developer
  • 2579 posts
  • 78 Thanks
  • Karma: 26
The administrator has disabled public write access.
Hi JS,

With php I'd stick with the version you have at the moment to avoid complicating the troubleshooting

What php version are you using?
  • manh's Avatar
  • manh
  • Moderator
  • 45248 posts
  • 2106 Thanks
  • Karma: 603
The administrator has disabled public write access.
Thank you all for the answers! - I didn't get mail notifications so I didn't check yesterday, will stop by on this page more often now.

The .php version I use (on the testserver ) is 5.6.31 I also tried switching to php 7.1.8, but no change. Maps2 and zentools module are up to date.

It is the ascent template, but which zengridframework I am not sure. When I tried to open the zengridframework plugin to check the version, I got the error: "500 The file zengridframework.xml could not be found."
  • wabikan's Avatar
  • wabikan
  • 3 Month Basic
  • 18 posts
  • Karma: 0
The administrator has disabled public write access.
i think renstalling zen grid framwork should fix the xml issue.
  • blueshift's Avatar
  • blueshift
  • 6 Month Developer
  • 2579 posts
  • 78 Thanks
  • Karma: 26
The administrator has disabled public write access.
I think reinstalling the Zen grid framework will fix the XML problem
  • blueshift's Avatar
  • blueshift
  • 6 Month Developer
  • 2579 posts
  • 78 Thanks
  • Karma: 26
The administrator has disabled public write access.
Which ZenGridFramework version should I use? Does updating it imply necessary design adjustmenst afterwards? (When I built the website I made many changes to custom.css before, maybe some other file changes, too. So this sounds like quite some work)

Under "templates\ascent\framework\functions.php I found:

Template: Zen Grid Framework Joomla 3 Legacy
Author: Anthony Olsen Joomlabamboo
Version: 1.0

And where can I download that? I unterstand currently you release them bundled with templates, right?
  • wabikan's Avatar
  • wabikan
  • 3 Month Basic
  • 18 posts
  • Karma: 0
The administrator has disabled public write access.
Hi JS,

Ascent has been through 3 different versions

The current version is here - bambootheme.com/showcase/oct15/

The is using the zgfv4
  • manh's Avatar
  • manh
  • Moderator
  • 45248 posts
  • 2106 Thanks
  • Karma: 603
The administrator has disabled public write access.
With regard to

"When I built the website I made many changes to custom.css before, maybe some other file changes, too."

If you changed "maybe some other file changes, too" outside of the custom css then you may have problems if you update your template
  • manh's Avatar
  • manh
  • Moderator
  • 45248 posts
  • 2106 Thanks
  • Karma: 603
The administrator has disabled public write access.
It does sound like you a couple of problems going on.

However, it may be the Joomla jquery version is no longer compatible with Joomla

As the Joomla core is updated the jquery version used incrementally changes

So I'd try installing jquery easy extension to see if you can solve this conflict - you can set the site to load older versions of jquery using it

Cheers
Paul
  • manh's Avatar
  • manh
  • Moderator
  • 45248 posts
  • 2106 Thanks
  • Karma: 603
The administrator has disabled public write access.

zentoolsIf you use Zentools please post a review at the Joomla! Extensions Directory.

Happy Campers